Bug 604262 - IcedTea Java plugin crashes
Summary: IcedTea Java plugin crashes
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.7.0-icedtea   
(Show other bugs)
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Deepak Bhole
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-15 18:24 UTC by Patrick O'Callaghan
Modified: 2010-06-17 09:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-17 09:34:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Patrick O'Callaghan 2010-06-15 18:24:38 UTC
Description of problem:
On opening http://select.nytimes.com/premium/xword/puzzles.html with the Chromium browser, I get this message: "The following plug-in has crashed: /usr/lib/java-1.6.0-openjdk-1.6.0.0.86_64/jre/lib/amd64/IcedTeaPlugin.so"

Version-Release number of selected component (if applicable):
java-1.6.0-openjdk-plugin-1.6.0.0-39.b18.fc13.x86_64
chromium-4.0.305.0-0.1.20100122svn36865.fc12.x86_64

How reproducible:
Solid

Steps to Reproduce:
1.Open http://select.nytimes.com/premium/xword/puzzles.html
2.Crash occurs immediately
3.
  
Actual results:
Crash in Java plugin

Expected results:
Functioning Java plugin

Additional info:
/var/log/messages shows:

Jun 15 13:49:28 bree kernel: chromium-browse[6405]: segfault at fffffffffffff610 ip 0000003a75c7585c sp 00007fff31363860 error 4 in libc-2.12.so[3a75c00000+175000]

The register values in the message are exactly the same each time.

Also, it's noteworthy that the crash occurs on simply opening the page. It's not necessary to click on any of the Java-powered links it contains, but clicking on these also produces the message.

Comment 1 Patrick O'Callaghan 2010-06-15 18:27:30 UTC
The same crash occurs when visiting java.com and clicking on the Verify Java Version button on http://java.com/en/download/installed.jsp

Comment 2 Patrick O'Callaghan 2010-06-16 05:36:50 UTC
The latest update to Java (1:java-1.6.0-openjdk-plugin-1.6.0.0-41.b18.fc13.x86_64) appears to fix this bug. Both test pages now open correctly.


Note You need to log in before you can comment on or make changes to this bug.